<?php

namespace Drupal\Tests\domain_access_logo\Functional;

use Drupal\Tests\domain_access_logo\Traits\DomainAccessLogoTestTrait;

/**
 * Tests the domain access logo user interface.
 *
 * @group domain_access_logo
 */
class DomainAccessLogoPermissionsTest extends DomainAccessLogoTestBase {

  use DomainAccessLogoTestTrait;

  /**
   * Tests access to the settings form.
   */
  public function testSettingsAccess() {
    $path = $this->configFormPath;

    // Visit the domain access logo administration page as admin.
    $this->drupalLogin($this->adminUser);
    $this->drupalGet($path);
    $this->assertSession()->statusCodeEquals(200);

    // Visit the domain config ui administration page as editor.
    $this->drupalLogin($this->editorUser);
    $this->drupalGet($path);
    $this->assertSession()->statusCodeEquals(403);
  }

}
