<?php

namespace Drupal\Tests\domain_access_logo\Functional;

use Drupal\Tests\domain\Traits\DomainTestTrait;
use Drupal\Tests\domain_access_logo\Traits\DomainAccessLogoTestTrait;

/**
 * Tests the domain access logo settings.
 *
 * @group domain_access_logo
 */
class DomainAccessLogoSettingsTest extends DomainAccessLogoTestBase {

  use DomainAccessLogoTestTrait;
  use DomainTestTrait;

  /**
   * {@inheritdoc}
   */
  protected static $modules = [
    'domain',
    'domain_access_logo',
    'file',
  ];

  /**
   * Tests the settings form.
   */
  public function testSettingsForm(): void {
    $path = $this->configFormPath;
    $field_name = 'edit-example-com-upload';

    // Visit the domain access logo administration page as admin.
    $this->drupalLogin($this->adminUser);
    $this->drupalGet($path);

    // Upload an image.
    $image_uri = $this->resourcesPath() . '/' . $this->filename;
    $page = $this->getSession()->getPage();
    $this->assertSession()->fieldExists($field_name);
    $page->attachFileToField($field_name, $image_uri);
    $page->pressButton('Save configuration');

    $this->assertSession()
      ->statusMessageContains('The configuration options have been saved.', 'status');

    // @todo check if element contains file.
  }

}
